Page MenuHomePhabricator

Reduce number of module definitions for AdvancedSearch in extension.json
Closed, ResolvedPublic3 Estimated Story Points

Description

Currently, the AdvancedSearch extension.json defines a number of modules in a dependency tree. This causes unnecessary work for ResourceLoader because it has to figure out the dependencies. Also, it makes the URLs for load.php very long because it lists all the modules. This will address the concerns raised by @Krinkle in https://gerrit.wikimedia.org/r/434028

AC:
AdvancedSearch extension.json module definitions contain only the following modules:

  • ext.advancedSearch.init
  • ext.advancedSearch.searchtoken
  • ext.advancedSearch.initialstyles
  • ext.advancedSearch.searchfields (lazy-loaded search fields, currently ext.advancedSearch.AdvancedOptionsConfig)

The scripts and messages of all other "modules" are moved to either ext.advancedSearch.init or ext.advancedSearch.searchfields.

Event Timeline

gabriel-wmde triaged this task as Medium priority.Sep 21 2018, 9:09 AM
gabriel-wmde created this task.
Lea_WMDE updated the task description. (Show Details)Sep 21 2018, 12:57 PM
Lea_WMDE updated the task description. (Show Details)Sep 25 2018, 9:20 AM
Lea_WMDE set the point value for this task to 3.
Tonina_Zhelyazkova_WMDE claimed this task.
Tonina_Zhelyazkova_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-09-17 board.
Tonina_Zhelyazkova_WMDE moved this task from Review to Doing on the WMDE-FUN-Sprint-2018-09-17 board.

Change 462757 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] Reduce the number of modules loaded

https://gerrit.wikimedia.org/r/462757

Change 462757 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Reduce the number of modules loaded

https://gerrit.wikimedia.org/r/462757

I'm not sure if it makes sense for me to test this :)

Krinkle renamed this task from Reduce number of module definitions in extension.json to Reduce number of module definitions for AdvancedSearch in extension.json.Sep 27 2018, 12:14 AM
Krinkle awarded a token.
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:50 AM